## ros-melodic-jsk-interactive-marker 2.1.7

=== debian/changelog ===
ros-melodic-jsk-interactive-marker (2.1.7-2stretch) stretch; urgency=high

  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
    
  * Contributors: Kei Okada, Ryohei Ueda, Yuki Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.6-2stretch) stretch; urgency=high

  * Remove unnecessary ROS_INFO (#755 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/755>)
  * Contributors: Yuto Uchimi

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.5-2stretch) stretch; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.4-2stretch) stretch; urgency=high

  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * manual urdf typedefs
    * add headers for urdf shared_ptr typedefs
    * use 'isnan' from 'std' namespace
    * use urdf typedefs for shared_ptr
    * enable C++11
    * replace boost pointers by std pointers
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Call USE_SOURCE_PERMISSIONS before PATTERN
    * Update comment about installation
    * Install 'scripts' into SHARE_DESTINATION
    * Add comment for install destination
    * Fix installation destination
  * fix typo in jsk_interactive_marker (#718 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/718>)
  * Remove newline and leading spaces from package.xml (#706 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/706>)
  * Explicitly resolve dependency for jsk_recognition_utils in package.xml (#699 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/699>)
  * Object 3d annotation using transformable interactive marker (#668 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/668>)
    * do not compile transformable_marker_operator.cpp for jsk_recognition_msgs < 1.2.0
    * need 1.2.0 of jsk_recognition_msgs for Objects.msg
    * Update for updated Object.msg
    * Make object array topic editable and searched automatically
    * Insert mesh models dynamically by rviz panel
    * Change interactive_mode using dynamic reconfigure
  * Contributors: Christian Rauch, Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Naoki Mizuno

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.3-2stretch) stretch; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.2-2stretch) stretch; urgency=high

  * [jsk_rviz_plugins][classification_result_visualizer] minor bugfix (#669 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/669>)
  * [jsk_interactive_marker] Install scripts in jsk_interactive_marker (#670 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/670>)
  * Contributors: Kei Okada, Kentaro Wada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.1-2stretch) stretch; urgency=high

  * CMakeLists.txt: fix to support qt5
  * package.xml: remove pr2eus_moveit from dependency
  * Contributors: Yuki Furuta, Kei Okada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.0-2stretch) stretch; urgency=high

  * migration to kinetic, which uses qt5 wehre as indig/jade uses qt4 (#662 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/662> )
  * Feature to transform markers in rviz (#661 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/661> )
    * Fix for same config in CMakeLists as jsk_rviz_pluginsTo fix error on hydro
    
      * Fix dependency of jsk_interactive_marker
      * Use throttle for ROS_ERROR
      * Move TransformableMarkerOperatorAction to jsk_interactive_marker
      * Update rviz for sample of transformable_markers
      * Use better marker size
      * Support transformation of dimension in transformable_markers_client
    
  * Add client node for transformable markers (only boxes) (#658 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/658> )
    * Add TODO to extend transformable_markers_client
    * Rename transformable_boxes_client -> transformable_markers_client
    * Add client node for transformable boxes
  * [maker_6dof] support mesh, publish pose topoic periodically ( #657 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/657> )
    * [jsk_interactive_marker/marker_6dof] add sample launch and doc.
    * [jsk_interactive_marker/src/marker_6dof] fix minor bug in line shape color setting.
    * [jsk_interactive_marker/src/marker_6dof] add option to select interactive marker size. default interactive marker size does not change.
    * [jsk_interactive_marker/src/marker_6dof] add option to publish pose periodically. default behavior does not change.
    * [jsk_interactive_marker/src/marker_6dof] supoort mesh as marker shape.
  * Fix #655 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/655> : fix frame_id of tf published by marker 6dof( #657 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/657> )
    * Stop using fixed frame_id_ for simplicity
    * Transform pose in feedback with expected frame_id
    * Check frame_id of pose before publishing as TF
    * marker_6dof: publish tf after transformed to frame_id_, update is published with fixed frame of rviz
  * Contributors: Kei Okada, Kentaro Wada, Masaki Murooka, Hiroto Mizohana



## ros-melodic-jsk-interactive-marker 2.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jsk_interactive_marker)

if("$ENV{ROS_DISTRO}" STRGREATER "melodic")
  add_compile_options(-std=c++14)
else()
  add_compile_options(-std=c++11)
endif()

# Use ccache if installed to make it fast to generate object files
if (CMAKE_VERSION VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif(CCACHE_FOUND)
endif()

if($ENV{ROS_DISTRO} STREQUAL "groovy")
  set(PCL_MSGS pcl)
else()
  set(PCL_MSGS pcl_msgs) ## hydro and later
endif()


find_package(catkin REQUIRED COMPONENTS
  message_generation
  cmake_modules jsk_footstep_msgs geometry_msgs visualization_msgs
  dynamic_reconfigure jsk_rviz_plugins
  interactive_markers dynamic_tf_publisher tf_conversions eigen_conversions
  actionlib roscpp roslib urdf
  pcl_conversions
  jsk_recognition_msgs
  ${PCL_MSGS}
  jsk_topic_tools
  rviz
  )
message("jsk_recognition_msgs : ${jsk_recognition_msgs_VERSION}")
message("jsk_footstep_msgs    : ${jsk_footstep_msgs_VERSION}")
find_package(orocos_kdl REQUIRED)
find_package(TinyXML REQUIRED)
find_package(Boost REQUIRED COMPONENTS system)

add_message_files(
  DIRECTORY msg
  FILES JointTrajectoryPointWithType.msg JointTrajectoryWithType.msg MarkerDimensions.msg MarkerMenu.msg MarkerPose.msg MoveModel.msg MoveObject.msg SnapFootPrintInput.msg PoseStampedWithName.msg
)
add_service_files(DIRECTORY srv
  FILES MarkerSetPose.srv SetPose.srv GetJointState.srv GetType.srv SetMarkerDimensions.srv GetMarkerDimensions.srv GetTransformableMarkerPose.srv SetTransformableMarkerPose.srv GetTransformableMarkerColor.srv SetTransformableMarkerColor.srv GetTransformableMarkerFocus.srv SetTransformableMarkerFocus.srv GetTransformableMarkerExistence.srv IndexRequest.srv SetParentMarker.srv RemoveParentMarker.srv
  SnapFootPrint.srv
  SetHeuristic.srv)

generate_dynamic_reconfigure_options(
  cfg/FootstepMarker.cfg
  cfg/InteractivePointCloud.cfg
  cfg/PointCloudCropper.cfg
  cfg/CameraInfoPublisher.cfg
  cfg/InteractiveSetting.cfg
  )

add_definitions("-g")

include_directories(include ${catkin_INCLUDE_DIRS}
  ${orocos_kdl_INCLUDE_DIRS} ${TinyXML_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

# include Qt
if(rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
else()
  find_package(Qt5Widgets REQUIRED)
endif()
add_definitions(-DQT_NO_KEYWORDS -g)

if(jsk_recognition_msgs_VERSION VERSION_LESS "1.2.0")
  set(TRANSFORMABLE_MARKER_OPERATOR_SRC_FILES)
  message(WARNING "transformable_marker_operator.h requires jsk_recognition_msgs >= 1.2.0")
else(jsk_recognition_msgs_VERSION VERSION_LESS "1.2.0")
  set(TRANSFORMABLE_MARKER_OPERATOR_SRC_FILES
     src/rviz_plugins/transformable_marker_operator.cpp)
if(rviz_QT_VERSION VERSION_LESS "5")
  qt4_wrap_cpp(MOC_FILES
    include/jsk_interactive_marker/rviz_plugins/transformable_marker_operator.h
    )
else()
  qt5_wrap_cpp(MOC_FILES
    include/jsk_interactive_marker/rviz_plugins/transformable_marker_operator.h
    )
endif()
endif(jsk_recognition_msgs_VERSION VERSION_LESS "1.2.0")

# target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${TinyXML_LIBRARIES} ${orocos_kdl_LIBRARIES})
link_directories(${catkin_LIBRARY_DIRS})
link_directories(${orocos_kdl_LIBRARY_DIRS})
link_directories(${Boost_LIBRARY_DIRS})

add_library(jsk_interactive_marker
  src/interactive_marker_helpers.cpp
  ${TRANSFORMABLE_MARKER_OPERATOR_SRC_FILES}
  ${MOC_FILES}
  ${UIC_FILES}
)
if(rviz_QT_VERSION VERSION_LESS "5")
  target_link_libraries(jsk_interactive_marker ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES})
else()
  target_link_libraries(jsk_interactive_marker Qt5::Widgets ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES})
endif()
add_dependencies(jsk_interactive_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(interactive_marker_interface src/interactive_marker_interface.cpp src/interactive_marker_utils.cpp)
target_link_libraries(interactive_marker_interface ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(interactive_marker_interface ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(camera_info_publisher src/camera_info_publisher.cpp src/interactive_marker_utils.cpp)
target_link_libraries(camera_info_publisher ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker yaml-cpp)
add_dependencies(camera_info_publisher ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(urdf_model_marker src/urdf_model_marker.cpp src/urdf_model_marker_main.cpp src/interactive_marker_utils.cpp)
target_link_libraries(urdf_model_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(urdf_model_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(urdf_control_marker src/urdf_control_marker.cpp src/interactive_marker_utils.cpp)
target_link_libraries(urdf_control_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(urdf_control_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(point_cloud_config_marker src/point_cloud_config_marker.cpp)
target_link_libraries(point_cloud_config_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(point_cloud_config_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(triangle_foot src/triangle_foot.cpp)
target_link_libraries(triangle_foot ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(triangle_foot ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(door_foot src/door_foot.cpp)
target_link_libraries(door_foot ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(door_foot ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(footstep_marker src/footstep_marker.cpp)
target_link_libraries(footstep_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(footstep_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(marker_6dof src/marker_6dof.cpp)
target_link_libraries(marker_6dof ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(marker_6dof ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(world2yaml src/world2yaml)
target_link_libraries(world2yaml ${TinyXML_LIBRARIES} ${orocos_kdl_LIBRARIES}  ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(world2yaml ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(bounding_box_marker src/bounding_box_marker.cpp)
target_link_libraries(bounding_box_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(bounding_box_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(polygon_marker src/polygon_marker.cpp)
target_link_libraries(polygon_marker ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(polygon_marker ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(interactive_point_cloud src/interactive_point_cloud_node.cpp src/interactive_point_cloud.cpp src/parent_and_child_interactive_marker_server.cpp)
target_link_libraries(interactive_point_cloud ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(interactive_point_cloud ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(pointcloud_cropper src/pointcloud_cropper.cpp
 )
target_link_libraries(pointcloud_cropper ${catkin_LIBRARIES} ${orocos_kdl_LIBRARIES} ${Boost_LIBRARIES} jsk_interactive_marker)
add_dependencies(pointcloud_cropper ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

add_executable(transformable_server_sample
  src/transformable_object.cpp
  src/yaml_menu_handler.cpp
  src/parent_and_child_interactive_marker_server.cpp
  src/transformable_interactive_server.cpp
  src/transformable_server_sample.cpp
)

target_link_libraries(transformable_server_sample ${catkin_LIBRARIES} jsk_interactive_marker yaml-cpp)
add_dependencies(transformable_server_sample ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_gencfg ${catkin_EXPORTED_TARGETS})

generate_messages(
  DEPENDENCIES geometry_msgs jsk_footstep_msgs visualization_msgs jsk_recognition_msgs
)

catkin_package(
    DEPENDS TinyXML
    CATKIN_DEPENDS  geometry_msgs jsk_footstep_msgs tf_conversions actionlib jsk_rviz_plugins jsk_recognition_msgs message_runtime
    INCLUDE_DIRS include # TODO include
    LIBRARIES jsk_interactive_marker # TODO
)

find_package(PkgConfig)
pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
if(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(TARGETS jsk_interactive_marker
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY config euslisp launch models scripts urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
  PATTERN ".svn" EXCLUDE
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(TARGETS
  jsk_interactive_marker
  interactive_marker_interface
  camera_info_publisher
  urdf_model_marker
  urdf_control_marker
  point_cloud_config_marker
  triangle_foot
  door_foot
  footstep_marker
  marker_6dof
  world2yaml
  bounding_box_marker
  polygon_marker
  interactive_point_cloud
  pointcloud_cropper
  transformable_server_sample
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

# copy *.rviz.default to *.rviz
macro(copy_rviz_files _rviz_files)
  foreach(_rviz_default_file ${_rviz_default_files})
    string(REGEX REPLACE "\\.default$" "" _rviz_file "${_rviz_default_file}")
    if(EXISTS "${_rviz_file}")
      message("${_rviz_file} exists")
    else()
      execute_process(
	COMMAND cmake -E copy "${_rviz_default_file}" "${_rviz_file}")
      message("copy ${_rviz_default_file} to ${_rviz_file}")
    endif()
  endforeach()
endmacro(copy_rviz_files _rviz_files)

=== debian/changelog ===
ros-melodic-jsk-interactive-marker (2.1.8-1bionic) bionic; urgency=high

  * Resolve fixed frame of rviz (#842 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/842>)
    
      * frame_id_ is std::string, so we need to use c_str() or ROS_ERROR_STREAM
      * Resolve fixed frame of rviz
        * The pose in callback function of interactive marker is represented
        respect to fixed frame of rviz.
        * In order to publish consistent tf transformation, the pose should be
        transformed respect to the frame_id which is specified as ros
        parameter.
    
  * Fix sample display robot state demo (#838 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/838>)
    
      * [jsk_interactive_marker] fix bugs
      * [jsk_interactive_marker] change the robot of
        sample_display_robot_state from JAXON to PR2
    
  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * Enable to publish camera info from yaml file (#793 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/793>)
  * Contributors: Adi Vardi, Kei Okada, Koki Shinjo, Naoya Yamaguchi, Ryohei Ueda

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Mon, 10 Jan 2022 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.7-1bionic) bionic; urgency=high

  * set property for ccache if cmake version < 3.4 (#780 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/780>)
  * Remove meaningless lock (#750 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/750>)
  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f print
      * support noetic, use c++14, convert to package format 3
    
  * Contributors: Kei Okada, Ryohei Ueda, Yuki Furuta

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Fri, 16 Oct 2020 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.6-1bionic) bionic; urgency=high

  * Remove unnecessary ROS_INFO (#755 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/755>)
  * Contributors: Yuto Uchimi

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 12 Apr 2020 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.5-1bionic) bionic; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Sun, 17 Feb 2019 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.4-1bionic) bionic; urgency=high

  * replace boost::shared_ptr by std::shared_ptr (#710 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/710>)
    * manual urdf typedefs
    * add headers for urdf shared_ptr typedefs
    * use 'isnan' from 'std' namespace
    * use urdf typedefs for shared_ptr
    * enable C++11
    * replace boost pointers by std pointers
  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Call USE_SOURCE_PERMISSIONS before PATTERN
    * Update comment about installation
    * Install 'scripts' into SHARE_DESTINATION
    * Add comment for install destination
    * Fix installation destination
  * fix typo in jsk_interactive_marker (#718 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/718>)
  * Remove newline and leading spaces from package.xml (#706 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/706>)
  * Explicitly resolve dependency for jsk_recognition_utils in package.xml (#699 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/699>)
  * Object 3d annotation using transformable interactive marker (#668 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/668>)
    * do not compile transformable_marker_operator.cpp for jsk_recognition_msgs < 1.2.0
    * need 1.2.0 of jsk_recognition_msgs for Objects.msg
    * Update for updated Object.msg
    * Make object array topic editable and searched automatically
    * Insert mesh models dynamically by rviz panel
    * Change interactive_mode using dynamic reconfigure
  * Contributors: Christian Rauch, Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Naoki Mizuno

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 31 Oct 2018 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.3-1bionic) bionic; urgency=high



 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Wed, 25 Oct 2017 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.2-1bionic) bionic; urgency=high

  * [jsk_rviz_plugins][classification_result_visualizer] minor bugfix (#669 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/669>)
  * [jsk_interactive_marker] Install scripts in jsk_interactive_marker (#670 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/670>)
  * Contributors: Kei Okada, Kentaro Wada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.1-1bionic) bionic; urgency=high

  * CMakeLists.txt: fix to support qt5
  * package.xml: remove pr2eus_moveit from dependency
  * Contributors: Yuki Furuta, Kei Okada

 -- furuta <furuta@jsk.t.u-tokyo.ac.jp>  Tue, 14 Feb 2017 15:00:00 -0000

ros-melodic-jsk-interactive-marker (2.1.0-1bionic) bionic; urgency=high

  * migration to kinetic, which uses qt5 wehre as indig/jade uses qt4 (#662 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/662> )
  * Feature to transform markers in rviz (#661 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/661> )
    * Fix for same config in CMakeLists as jsk_rviz_pluginsTo fix error on hydro
    
      * Fix dependency of jsk_interactive_marker
      * Use throttle for ROS_ERROR
      * Move TransformableMarkerOperatorAction to jsk_interactive_marker
      * Update rviz for sample of transformable_markers
      * Use better marker size
      * Support transformation of dimension in transformable_markers_client
    
  * Add client node for transformable markers (only boxes) (#658 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/658> )
    * Add TODO to extend transformable_markers_client
    * Rename transformable_boxes_client -> transformable_markers_client


=== debian/control ===
Source: ros-melodic-jsk-interactive-marker
Section: misc
Priority: optional
Maintainer: furuta <furuta@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libtinyxml-dev, libyaml-cpp-dev, ros-melodic-actionlib, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-dynamic-reconfigure, ros-melodic-dynamic-tf-publisher, ros-melodic-eigen-conversions, ros-melodic-geometry-msgs, ros-melodic-interactive-markers, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-recognition-msgs (>= 1.2.0), ros-melodic-jsk-recognition-utils, ros-melodic-jsk-rviz-plugins, ros-melodic-jsk-topic-tools, ros-melodic-message-filters, ros-melodic-message-generation, ros-melodic-mk, ros-melodic-moveit-msgs, ros-melodic-rosbuild, ros-melodic-roscpp, ros-melodic-roseus, ros-melodic-roslib, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-urdf, ros-melodic-visualization-msgs
Homepage: http://ros.org/wiki/interactive_marker
Standards-Version: 3.9.2

Package: ros-melodic-jsk-interactive-marker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libtinyxml-dev, libyaml-cpp-dev, ros-melodic-actionlib, ros-melodic-dynamic-reconfigure, ros-melodic-dynamic-tf-publisher, ros-melodic-eigen-conversions, ros-melodic-geometry-msgs, ros-melodic-interactive-markers, ros-melodic-jsk-footstep-msgs, ros-melodic-jsk-recognition-msgs (>= 1.0.0), ros-melodic-jsk-recognition-utils, ros-melodic-jsk-rviz-plugins, ros-melodic-jsk-topic-tools, ros-melodic-message-filters, ros-melodic-message-runtime, ros-melodic-moveit-msgs, ros-melodic-roscpp, ros-melodic-roseus, ros-melodic-roslib, ros-melodic-rviz, ros-melodic-sensor-msgs, ros-melodic-tf, ros-melodic-tf-conversions, ros-melodic-urdf, ros-melodic-visualization-msgs
Description: jsk interactive markers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-jsk-interactive-marker//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
